summaryrefslogtreecommitdiff
path: root/bin/common/gt-cmd
diff options
context:
space:
mode:
Diffstat (limited to 'bin/common/gt-cmd')
-rwxr-xr-xbin/common/gt-cmd7
1 files changed, 5 insertions, 2 deletions
diff --git a/bin/common/gt-cmd b/bin/common/gt-cmd
index 56b8df6..ebfe301 100755
--- a/bin/common/gt-cmd
+++ b/bin/common/gt-cmd
@@ -34,8 +34,11 @@ then
if ! ssh-add -L | grep "$(cat "$Keyfile")" > /dev/null
then
- printf '%s: '\''%s'\'' not in ssh-agent\n' "$repo_pretty" "$r"
- exit 1
+ if ! keyadd "$r" > /dev/null 2>&1
+ then
+ printf '%s: '\''%s'\'' not in ssh-agent\n' "$repo_pretty" "$r"
+ exit 1
+ fi
fi
fi